Public Attributes | List of all members
gdx_lcp_config_t Struct Reference
BLE » Light Communication Protocol (LCP) » Structures

LCP Parameter. More...

`#include <ble_lcp.h>`

## Public Attributes
uint8_t | trx_mode
int8_t | txpwr_dbm
uint32_t | freq_mhz
uint32_t | access_address
uint32_t | crc_init
uint32_t | rx_window_size_us
uint8_t | rate
bool | whiten_en
bool | b_disable_rx_oneshot_mode
uint32_t | trx_timer_period_us
uint32_t | trx_timer_trigger_trx_time_us
tx_done_cb_t | tx_done_cb
rx_done_cb_t | rx_done_cb
rx_handler_cb_t | rx_handler_cb

## Detailed Description

LCP Parameter.

Definition at line 86 of file ble_lcp.h.

## Member Data Documentation

## ◆ access_address

uint32_t gdx_lcp_config_t::access_address

The value of the access address.

Definition at line 91 of file ble_lcp.h.

## ◆ b_disable_rx_oneshot_mode

bool gdx_lcp_config_t::b_disable_rx_oneshot_mode

should be false in timer trigger mode, support oneshot mode only Define the lcp timer. Valid while trx_mode=TRX_MODE_TIMER_TX/RX only

Definition at line 97 of file ble_lcp.h.

## ◆ crc_init

uint32_t gdx_lcp_config_t::crc_init

The initial value of the crc.

Definition at line 92 of file ble_lcp.h.

## ◆ freq_mhz

uint32_t gdx_lcp_config_t::freq_mhz

The value of the frequency(range: 2360-2520), uint: MHz.

Definition at line 90 of file ble_lcp.h.

## ◆ rate

uint8_t gdx_lcp_config_t::rate

LCP_RATE_1MBPS or LCP_RATE_2MBPS

Definition at line 94 of file ble_lcp.h.

## ◆ rx_done_cb

rx_done_cb_t gdx_lcp_config_t::rx_done_cb

Definition at line 105 of file ble_lcp.h.

## ◆ rx_handler_cb

rx_handler_cb_t gdx_lcp_config_t::rx_handler_cb

The callback function of rx.

Definition at line 106 of file ble_lcp.h.

## ◆ rx_window_size_us

uint32_t gdx_lcp_config_t::rx_window_size_us

Definition at line 93 of file ble_lcp.h.

## ◆ trx_mode

uint8_t gdx_lcp_config_t::trx_mode

Set protocol mode, see PROTOCOL_MODE.

Definition at line 88 of file ble_lcp.h.

## ◆ trx_timer_period_us

uint32_t gdx_lcp_config_t::trx_timer_period_us

Define the trigger time of lcp, valid while trx_mode=TRX_MODE_TIMER_TX/RX only. Should < trx_timer_period_us. Suggest to be a little smaller than trx_timer_period_us, such as trx_timer_period_us - 100us

Definition at line 100 of file ble_lcp.h.

## ◆ trx_timer_trigger_trx_time_us

uint32_t gdx_lcp_config_t::trx_timer_trigger_trx_time_us

Definition at line 103 of file ble_lcp.h.

## ◆ tx_done_cb

tx_done_cb_t gdx_lcp_config_t::tx_done_cb

Definition at line 104 of file ble_lcp.h.

## ◆ txpwr_dbm

int8_t gdx_lcp_config_t::txpwr_dbm

The value of the tx power(range: -20-7), uint: dBm.

Definition at line 89 of file ble_lcp.h.

## ◆ whiten_en

bool gdx_lcp_config_t::whiten_en

Definition at line 96 of file ble_lcp.h.

The documentation for this struct was generated from the following file:

- ble_lcp.h